/****************************************************************************

 This file is part of GLC-Player.
 Copyright (C) 2007-2008 Laurent Ribon (laumaya@users.sourceforge.net)
 Version 1.0.2, packaged on February2008.

 http://www.glc-player.net

 GLC-Player is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLC-Player is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLC-Player; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/
#include <QtGui>
#include <glc_enum.h>
#include <glc_mesh2.h>
#include <glc_instance.h>

#include "EditMeshDialog.h"

EditMeshDialog::EditMeshDialog(const QGLContext* pContext, GLC_Instance* pInstance, QWidget *parent)
: QDialog(parent)
, m_pInstance(pInstance)
, m_pContext(pContext)
{
	setupUi(this);
	// Get Mesh properties
	GLC_Mesh2* pMesh= dynamic_cast<GLC_Mesh2*>(pInstance->getGeometry());
	Q_ASSERT(NULL != pMesh);
	
	numberOfSubMaterial->setText(QString::number(pMesh->getNumberOfSubMaterial()));
	numberOfVertex->setText(QString::number(pMesh->getNumberOfVertex()));
	numberOfFace->setText(QString::number(pMesh->getNumberOfFaces()));
}
EditMeshDialog::~EditMeshDialog()
{
}

void EditMeshDialog::accept()
{
	if (reverseNormal->isChecked())
	{
		GLC_Mesh2* pMesh= dynamic_cast<GLC_Mesh2*>(m_pInstance->getGeometry());
		Q_ASSERT(NULL != pMesh);
		pMesh->reverseNormal();
	}
	QDialog::accept();
}


