/****************************************************************************

 This file is part of GLC-Player.
 Copyright (C) 2007-2008 Laurent Ribon (laumaya@users.sourceforge.net)
 Version 1.0.2, packaged on February2008.

 http://www.glc-player.net

 GLC-Player is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLC-Player is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLC-Player; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/

#ifndef SETTINGSDIALOG_H_
#define SETTINGSDIALOG_H_

#include <QDialog>
#include <QSize>

#include "ui_SettingsDialog.h"

class SettingsDialog : public QDialog, private Ui::SettingsDialog
{
	Q_OBJECT
public:
	SettingsDialog(const bool, const bool, const QSize&, const bool, QWidget *parent);
	virtual ~SettingsDialog();
	
public:
	//! Accept modifications
	void accept();
	//! Return true if thumbnail have to be shown
	bool thumbnailHaveToBeDisplay() const;
	//! Return true if thumbnail have to be created while loading
	bool thumbnailHaveToBeCreated() const;
	//! get the thumbnail size
	QSize getThumbnailSize() const;
	//! return true if info have to be shown
	bool infoHaveToBeShown() const;
private slots:
	//! The user change the current language
	void currentLanguageChange(int);
	//! The user change the state of display thumbnail
	void displayThumbnailStateChanged(int);
	//! The user Change the icon size
	void iconSizeChange(int);
	
private:

	//! Initial language
	QString m_InitLanguage;
	//! New Language
	QString m_NewLanguage;
	//! selected thumbnail Size
	QSize m_ThumbnailSize;
};

#endif /*SETTINGSDIALOG_H_*/
